sfcode An Online Competing and Development Environment

camelcase

> Convert a dash/dot/underscore/space separated string to camelCase or PascalCase: `foo-bar` → `fooBar`

# </blockquote>

Get professional support for 'camelcase' with a Tidelift subscription
Tidelift helps make open source sustainable for maintainers while giving companies
assurances about security, maintenance, and licensing for their dependencies.

# Install

$ npm install camelcase

# Usage

const camelCase = require('camelcase');
camelCase('foo-bar');
//=> 'fooBar'
camelCase('foo_bar');
//=> 'fooBar'
camelCase('Foo-Bar');
//=> 'fooBar'
camelCase('Foo-Bar', {pascalCase: true});
//=> 'FooBar'
camelCase('--foo.bar', {pascalCase: false});
//=> 'fooBar'
camelCase('foo bar');
//=> 'fooBar'
console.log(process.argv[3]);
//=> '--foo-bar'
camelCase(process.argv[3]);
//=> 'fooBar'
camelCase(['foo', 'bar']);
//=> 'fooBar'
camelCase(['__foo__', '--bar'], {pascalCase: true});
//=> 'FooBar'

# API

## camelCase(input, [options])

### input

Type: `string` `string[]`

String to convert to camel case.

### options

Type: `Object`

#### pascalCase

Type: `boolean`
Default: `false`

Uppercase the first character: `foo-bar` → `FooBar`

# Security

To report a security vulnerability, please use the Tidelift security contact. Tidelift will coordinate the fix and disclosure.

# Related

- decamelize - The inverse of this module
- uppercamelcase - Like this module, but to PascalCase instead of camelCase
- titleize - Capitalize every word in string
- humanize-string - Convert a camelized/dasherized/underscored string into a humanized one

# License

MIT © Sindre Sorhus